gtkglextmm: Gtk::GL Namespace Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gtk::GL Namespace Reference

## Classes
class | DrawingArea
class | Widget
## Functions
bool | init_check (int &argc, char **&argv)
bool | init_check (int *argc, char ***argv)
void | init (int &argc, char **&argv)
void | init (int *argc, char ***argv)
bool | widget_set_gl_capability (Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Config > &glconfig, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | widget_set_gl_capability (Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Config > &glconfig, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | widget_is_gl_capable (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Config > | widget_get_gl_config (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Context > | widget_create_gl_context (const Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | widget_create_gl_context (const Gtk::Widget &widget, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | widget_get_gl_context (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Window > | widget_get_gl_window (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Drawable > | widget_get_gl_drawable (const Gtk::Widget &widget)

## Function Documentation

void Gtk::GL::init | ( | int * | argc,
|  | char *** | argv
| ) |

  | Initialize gtkglextmm library. Call this function before using any other gtkglextmm functions in your applications. It will initialize everything needed to operate the library and parses some standard command line options. argc and argv are adjusted accordingly so your own code will never see those standard arguments. This function will terminate your program if it was unable to initialize the library for some reason. If you want your program to fall back to a textual interface you want to call Gtk::GL::init_check() instead. Parameters:
  | argc | Address of the `argc` parameter of your `main()` function. Changed if any arguments were handled.
  | argv | Address of the `argv` parameter of `main()`. Any parameters understood by Gtk::GL::init() are stripped before return.

void Gtk::GL::init | ( | int & | argc,
|  | char **& | argv
| ) |

  | Initialize gtkglextmm library. Call this function before using any other gtkglextmm functions in your applications. It will initialize everything needed to operate the library and parses some standard command line options. argc and argv are adjusted accordingly so your own code will never see those standard arguments. This function will terminate your program if it was unable to initialize the library for some reason. If you want your program to fall back to a textual interface you want to call Gtk::GL::init_check() instead. Parameters:
  | argc | Reference of the `argc` parameter of your `main()` function. Changed if any arguments were handled.
  | argv | Reference of the `argv` parameter of `main()`. Any parameters understood by Gtk::GL::init() are stripped before return.
Examples: font.cc, gears.cc, logo.cc, pixmap-mixed.cc, pixmap.cc, shapes.cc, share-lists.cc, simple-darea.cc, simple-mixed.cc, and simple.cc.

bool Gtk::GL::init_check | ( | int * | argc,
|  | char *** | argv
| ) |

  | Initialize gtkglextmm library. This function does the same work as Gdk::GL::init() with only a single change: It does not terminate the program if the library can't be initialized. Instead it returns `false` on failure. This way the application can fall back to some other means of communication with the user - for example a curses or command line interface. Parameters:
  | argc | Address of the `argc` parameter of your `main()` function. Changed if any arguments were handled.
  | argv | Address of the `argv` parameter of `main()`. Any parameters understood by Gtk::GL::init() are stripped before return.
Returns: `true` if the library has been successfully initialized, `false` otherwise.

bool Gtk::GL::init_check | ( | int & | argc,
|  | char **& | argv
| ) |

  | Initialize gtkglextmm library. This function does the same work as Gdk::GL::init() with only a single change: It does not terminate the program if the library can't be initialized. Instead it returns `false` on failure. This way the application can fall back to some other means of communication with the user - for example a curses or command line interface. Parameters:
  | argc | Reference of the `argc` parameter of your `main()` function. Changed if any arguments were handled.
  | argv | Reference of the `argv` parameter of `main()`. Any parameters understood by Gtk::GL::init() are stripped before return.
Returns: `true` if the library has been successfully initialized, `false` otherwise.

Glib::RefPtr<Gdk::GL::Context> Gtk::GL::widget_create_gl_context | ( | const Gtk::Widget & | widget,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) |

  | Create a new Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. See also get_gl_context(). Parameters:
  | widget | a Gtk::Widget.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: the new Gdk::GL::Context.

Glib::RefPtr<Gdk::GL::Context> Gtk::GL::widget_create_gl_context | ( | const Gtk::Widget & | widget,
|  | const Glib::RefPtr< const Gdk::GL::Context > & | share_list,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) |

  | Create a new Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. See also get_gl_context(). Parameters:
  | widget | a Gtk::Widget.
  | share_list | the Gdk::GL::Context which to share display lists.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: the new Gdk::GL::Context.

Glib::RefPtr<Gdk::GL::Config> Gtk::GL::widget_get_gl_config | ( | const Gtk::Widget & | widget | ) |

  | Return the Gdk::GL::Config referred by the Gtk::Widget. Parameters:
  | widget | a Gtk::Widget.
Returns: the Gdk::GL::Config.

Glib::RefPtr<Gdk::GL::Context> Gtk::GL::widget_get_gl_context | ( | const Gtk::Widget & | widget | ) |

  | Return the Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. Unlike the GL context returned by create_gl_context(), this context is owned by the widget. Parameters:
  | widget | a Gtk::Widget.
Returns: the Gdk::GL::Context.

Glib::RefPtr<Gdk::GL::Drawable> Gtk::GL::widget_get_gl_drawable | ( | const Gtk::Widget & | widget | ) |

  | Return the Gdk::GL::Drawable owned by the Gtk::Widget. Parameters:
  | widget | a Gtk::Widget.
Returns: the Gdk::GL::Drawable.

Glib::RefPtr<Gdk::GL::Window> Gtk::GL::widget_get_gl_window | ( | const Gtk::Widget & | widget | ) |

  | Return the Gdk::GL::Window owned by the Gtk::Widget. Parameters:
  | widget | a Gtk::Widget.
Returns: the Gdk::GL::Window.

bool Gtk::GL::widget_is_gl_capable | ( | const Gtk::Widget & | widget | ) |

  | Return whether the Gtk::Widget is OpenGL-capable. Parameters:
  | widget | a Gtk::Widget.
Returns: `true` if the Gtk::Widget is OpenGL-capable, `false` otherwise.

bool Gtk::GL::widget_set_gl_capability | ( | Gtk::Widget & | widget,
|  | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) |

  | Set the OpenGL-capability to the Gtk::Widget. The call setup the callbacks to realize a OpenGL-capable window. Parameters:
  | widget | the GtkWidget to be used as the rendering area.
  | glconfig | a Gdk::GL::Config.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: `true` if it is successful, `false` otherwise.

bool Gtk::GL::widget_set_gl_capability | ( | Gtk::Widget & | widget,
|  | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::GL::Context > & | share_list,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) |

  | Set the OpenGL-capability to the Gtk::Widget. The call setup the callbacks to realize a OpenGL-capable window. Parameters:
  | widget | the GtkWidget to be used as the rendering area.
  | glconfig | a Gdk::GL::Config.
  | share_list | the Gdk::GL::Context which to share display lists.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: `true` if it is successful, `false` otherwise.